Zum Inhalt springen
English
Esc
↑↓navigate↵open⌘Jpreview

List contacts

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

GET/v1/contacts
Authorization
AuthorizationBearer token · headerrequired
Workspace API key (`bh_…`).
Query parameters
limitinteger
min 1 · max 500 · default: 100
offsetinteger
min 0 · max 9007199254740991 · default: 0
statusstring
Allowed:leadqualifiedcustomer
updatedSincestring<date-time>
Responses
200OK
dataobject[]required
Show properties
Array of object
idstringrequired
statusstringrequired
Allowed:leadqualifiedcustomer
assignedTostring | anyrequired
Show properties
Any of:
string
string
any
any
fieldsobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
lastActivityAtstring<date-time>required
hasMorebooleanrequired
Request
curl -X GET "https://app.bauhow.com/api/v1/contacts" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "data": [
    {
      "id": "string",
      "status": "lead",
      "assignedTo": "string",
      "fields": {},
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z",
      "lastActivityAt": "2024-01-01T00:00:00Z"
    }
  ],
  "hasMore": true
}